## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname octave-kernel
%global srcname_ octave_kernel

Name:           python-%{srcname}
Version:        0.36.0
Release:        %autorelease
Summary:        A Jupyter kernel for Octave

License:        BSD-3-Clause
URL:            https://pypi.python.org/pypi/%{srcname_}
Source0:        %pypi_source %{srcname_}

BuildArch:      noarch

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86}

BuildRequires:  octave
BuildRequires:  python3-devel
BuildRequires:  xorg-x11-server-Xvfb

%global _description \
A Jupyter kernel for Octave.

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}

Requires:       octave

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{srcname_}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -rx test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname_}

%check
# Turn off the *bracketed paste* mode
# See e.g. https://github.com/pexpect/pexpect/issues/669
echo "set enable-bracketed-paste off" > .inputrc
export INPUTRC=$PWD/.inputrc

PYTHONPATH="%{buildroot}%{python3_sitelib}" \
    JUPYTER_PATH="%{buildroot}%{_datadir}/jupyter" \
        xvfb-run -a -s "-screen 0 640x480x24" \
           %{python3} test_octave_kernel.py -v

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_datadir}/jupyter/kernels/octave

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.36.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 15 2024 Python Maint <python-maint@redhat.com> - 0.36.0-2
- Rebuilt for Python 3.13

* Sun Apr 28 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.36.0-1
- Update to latest version (#2275112)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.35.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.35.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.35.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 07 2023 Python Maint <python-maint@redhat.com> - 0.35.1-4
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.35.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 19 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.35.1-2
- Drop support for i686

* Tue Nov 29 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.35.1-1
- Update to latest version (#2149004)

* Thu Sep 29 2022 Miro Hrončok <miro@hroncok.cz> - 0.34.2-5
- Turn off the *bracketed paste* input mode when running tests during
  package build
- Fixes rhbz#2099034

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.34.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 20 2022 Python Maint <python-maint@redhat.com> - 0.34.2-3
- Rebuilt for Python 3.11

* Wed Jun 01 2022 Orion Poplawski <orion@nwra.com> - 0.34.2-2
- Rebuild for octave 7.1

* Mon May 23 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.34.2-1
- Update to latest version (#2070489)

* Sun Feb 13 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.34.1-1
- Update to latest version (#2051646)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.34.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 11 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.34.0-1
- Update to latest version (#2027064)

* Sat Dec 04 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.33.1-1
- Update to latest version (#2027064)

* Sun Nov 28 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.32.0-9
- Switch to latest Python macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.32.0-4
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun May 31 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.32.0-1
- Update to latest version

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.31.1-2
- Rebuilt for Python 3.9

* Tue Apr 14 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.31.1-1
- Update to latest version

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.31.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.31.0-5
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.31.0-4
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.31.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jul 22 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.31.0-2
- Fix tests with Octave 5

* Sun Jun 02 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.31.0-1
- Update to latest version

* Thu May 16 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.30.3-1
- Update to latest version

* Mon May 06 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.30.2-1
- Update to latest version

* Tue Apr 30 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.29.0-1
- Update to latest version

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Aug 19 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.28.4-1
- Update to latest version

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.28.3-3
- Rebuilt for Python 3.7

* Fri Mar 16 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.28.3-2
- Force Python 3 for kernel startup (for old Jupyter client.)

* Thu Mar 15 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.28.3-1
- Initial package release.

## END: Generated by rpmautospec
